# frozen_string_literal: true

# rubocop:disable Layout/ExtraSpacing, Layout/SpaceAroundOperators
require './lib/flakey_spec_catcher/version'

Gem::Specification.new do |gem|
  gem.name    = 'flakey_spec_catcher'
  gem.version = FlakeySpecCatcher::VERSION
  gem.license = 'MIT'
  gem.authors = [
    'Brian Watson',
    'Mikey Hargiss',
    'Ben Nelson'
  ]
  gem.email   = [
    'bwatson@instructure.com',
    'mhargiss@instructure.com',
    'bnelson@instructure.com'
  ]
  gem.summary = 'Run new or changed specs many times to prevent unreliable specs'

  gem.files = `git ls-files -z`
              .split("\x0")
              .reject { |f| f.match(%r{^(test|spec|features|fixture_specs|bin)/}) }
              .reject { |f| f.match(/^(Jenkinsfile|Dockerfile|.dockerignore|.rspec|.rubocop)/) }
  gem.bindir        = 'bin'
  gem.executables   = 'flakey_spec_catcher'
  gem.require_paths = ['lib']

  gem.metadata['allowed_push_host'] = 'https://rubygems.org'
  gem.required_ruby_version         = '>= 2.6'

  gem.add_dependency 'rspec', '~> 3.10'
  gem.add_development_dependency 'byebug', '~> 11.1'
  gem.add_development_dependency 'climate_control', '~> 0.2'
  gem.add_development_dependency 'rake', '~> 13.0'
  gem.add_development_dependency 'rubocop', '~> 0.93.1'
  gem.add_development_dependency 'simplecov', '~> 0.19'
end
# rubocop:enable Layout/ExtraSpacing, Layout/SpaceAroundOperators
